Bug 193549
| Summary: | yumex fails to build in mock | ||
|---|---|---|---|
| Product: | [Fedora] Fedora | Reporter: | Matt Domsch <matt_domsch> |
| Component: | yumex | Assignee: | Tim Lauridsen <tim.lauridsen> |
| Status: | CLOSED NEXTRELEASE | QA Contact: | Fedora Extras Quality Assurance <extras-qa> |
| Severity: | medium | Docs Contact: | |
| Priority: | medium | ||
| Version: | rawhide | CC: | dcantrell, extras-qa |
| Target Milestone: | --- | ||
| Target Release: | --- | ||
| Hardware: | All | ||
| OS: | Linux | ||
| Whiteboard: | |||
| Fixed In Version: | Doc Type: | Bug Fix | |
| Doc Text: | Story Points: | --- | |
| Clone Of: | Environment: | ||
| Last Closed: | 2006-06-19 13:02:13 UTC | Type: | --- |
| Regression: | --- | Mount Type: | --- |
| Documentation: | --- | CRM: | |
| Verified Versions: | Category: | --- | |
| oVirt Team: | --- | RHEL 7.3 requirements from Atomic Host: | |
| Cloudforms Team: | --- | Target Upstream Version: | |
| Embargoed: | |||
| Bug Depends On: | |||
| Bug Blocks: | 193444 | ||
I will add intltool to buildrequires. Fixed in 1.1.x & 1.0.x branch. will be included in 1.1.1 & 1.0.3, when they are released. |
This package fails to build in mock if the minimal build group is reduced to only the packages listed in the Exceptions section of the packaging guidelines. Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.5864 + umask 022 + cd /builddir/build/BUILD + cd yumex-1.0.1 + LANG=C + export LANG + unset DISPLAY + make for d in src po src/yumgui src/yumex; do make -C $d; [ $? = 0 ] || exit 1 ; done make[1]: Entering directory `/builddir/build/BUILD/yumex-1.0.1/src' Byte-compiling python modules... yumexmain.py Byte-compiling python modules (optimised versions) ... yumexmain.py make[1]: Leaving directory `/builddir/build/BUILD/yumex-1.0.1/src' make[1]: Entering directory `/builddir/build/BUILD/yumex-1.0.1/po' intltool-update --gettext-package=yumex --pot make[1]: intltool-update: Command not found make[1]: *** [yumex.pot] Error 127 make[1]: Leaving directory `/builddir/build/BUILD/yumex-1.0.1/po' make: *** [subdirs] Error 1 error: Bad exit status from /var/tmp/rpm-tmp.5864 (%build) RPM build errors: Bad exit status from /var/tmp/rpm-tmp.5864 (%build) BuildRequires: intltool should fix it.